Subject: bug#77224: [PATCH] New minor mode 'cursor-indicators-mode'

From: Jim Porter <[email-masked]>
Date: Thu, 27 Mar 2025 13:32:16 -0700

On 3/27/2025 4:41 AM, Eli Zaretskii wrote:
> Btw, a possibly even better way is to modify the cursor looks from the
> hooks of the relevant commands, like overwrite-mode.  If some of them
> don't have a hook, we could add a hook.  This is better because it
> doesn't unnecessarily "punish" Emacs anywhere else, only the commands
> that could affect the cursor.
> 
> Does this make sense?

That makes sense to me, and is approximately what I have in my own 
configuration to do the same sort of thing as this patch. I update the 
cursor by adding a hook to 'after-change-major-mode-hook' and then 
adding variable watchers for 'buffer-read-only' and 'overwrite-mode'. 
That was the most-reliable method I could find at the time. If there 
were appropriate hooks for read-only/overwrite, then I think that would 
be the ideal solution.